Bug 199812 - [UPDATE] science/InsightToolkit to 4.7.2
Summary: [UPDATE] science/InsightToolkit to 4.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Antoine Brodin
URL: http://public.kitware.com/pipermail/c...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 13:53 UTC by Ben Woods
Modified: 2015-06-08 20:09 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update science/InsightToolkit to 4.7.2 (378.02 KB, patch)
2015-04-30 13:53 UTC, Ben Woods
no flags Details | Diff
Successful poudriere tesport logs on FreeBSD 10.1 amd64 (gzipped) (160.02 KB, application/x-gzip)
2015-04-30 13:58 UTC, Ben Woods
no flags Details
Patch to update science/InsightToolkit to 4.7.2 (378.02 KB, patch)
2015-06-08 13:17 UTC, Ben Woods
no flags Details | Diff
Successful poudriere tesport logs on FreeBSD 11-current r283879 amd64 (gzipped) (158.72 KB, application/x-gzip)
2015-06-08 13:36 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2015-04-30 13:53:43 UTC
Created attachment 156149 [details]
Patch to update science/InsightToolkit to 4.7.2

Update science/InsightToolkit to latest upstream release 4.7.2.

While I am at it, take maintainership.
Comment 1 Ben Woods freebsd_committer 2015-04-30 13:55:20 UTC
Note that InsightToolkit is now available under an Apache 2.0 license (as of version 4.0). See here for details: http://www.itk.org/ITK/project/license.html
Comment 2 Ben Woods freebsd_committer 2015-04-30 13:58:42 UTC
Created attachment 156150 [details]
Successful poudriere tesport logs on FreeBSD 10.1 amd64 (gzipped)
Comment 3 Antoine Brodin freebsd_committer 2015-06-07 08:26:20 UTC
Take
Comment 5 Ben Woods freebsd_committer 2015-06-08 11:44:01 UTC
(In reply to Antoine Brodin from comment #4)
> I have some problems fetching the distfile:

Sorry about that. Looking back at the timing of this, it looks like I submitted this patch before 4.7.2 was officially released! They must have had a release candidate version available for download and changed it slightly for the official release.
http://public.kitware.com/pipermail/community/2015-May/008956.html

I'll submit an updated patch.
Comment 6 Ben Woods freebsd_committer 2015-06-08 13:17:12 UTC
Created attachment 157534 [details]
Patch to update science/InsightToolkit to 4.7.2

I have updated the distinfo file to fix this patch.
I compared the new sources against those I had initially used, and found the only difference was the update of the ITK_VERSION_PATCH parameter found in the git commit:
http://itk.org/gitweb?p=ITK.git;a=commitdiff;h=8d58556089399c11d51795d46d6b17c355af95dc
Comment 7 Ben Woods freebsd_committer 2015-06-08 13:36:33 UTC
Created attachment 157535 [details]
Successful poudriere tesport logs on FreeBSD 11-current r283879 amd64 (gzipped)
Comment 8 commit-hook freebsd_committer 2015-06-08 20:08:50 UTC
A commit references this bug:

Author: antoine
Date: Mon Jun  8 20:08:09 UTC 2015
New revision: 388877
URL: https://svnweb.freebsd.org/changeset/ports/388877

Log:
  - Update to 4.7.2
  - Pass maintainership to submitter

  PR:		199812

Changes:
  head/science/InsightToolkit/Makefile
  head/science/InsightToolkit/distinfo
  head/science/InsightToolkit/files/
  head/science/InsightToolkit/pkg-descr
  head/science/InsightToolkit/pkg-plist